Package org.eclipse.graphiti.internal.command

# Class DefaultExecutionInfo

java.lang.Object
org.eclipse.graphiti.internal.command.DefaultExecutionInfo

All Implemented Interfaces:
  `IExecutionInfo`

public class DefaultExecutionInfo extends Object implements IExecutionInfo
The Class DefaultExecutionInfo.

## Constructor Summary

Constructors
Constructor
Description
`DefaultExecutionInfo()`
Instantiates a new default execution info.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addFeatureAndContext(IFeatureAndContext fac)`
Adds the feature and context.
`IFeatureAndContext[]`
`getExecutionList()`
Gets the execution list.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DefaultExecutionInfo

public DefaultExecutionInfo()
Instantiates a new default execution info.

## Method Details

### getExecutionList

public IFeatureAndContext[] getExecutionList()
Description copied from interface: `IExecutionInfo`
Gets the execution list.

Specified by:
  `getExecutionList` in interface `IExecutionInfo`
Returns:
  the execution list

### addFeatureAndContext

public boolean addFeatureAndContext(IFeatureAndContext fac)
Adds the feature and context.

Parameters:
  `fac` - the fac
Returns:
  true, if successful

### toString

public String toString()

Overrides:
  `toString` in class `Object`